%%%-------------------------------------------------------------------
%%% @doc 舞姿-头文件
%%% Module: dance
%%% Created : 2021-4-8
%%% @Author: ljy
%%%-------------------------------------------------------------------

%% 舞姿数据
-record(dance,{
    is_rand = 0,                    %% 是否随机舞蹈动作
    dance_id = 0,                   %% 选中的舞蹈动作id
    dance_list = []                 %% 已激活的舞蹈id
}).


%% 学位数据
-record(base_dance,{
    id = 0 ,                         %% 舞蹈动作id
    goods = 0,                       %% 激活道具
    order = 0,                       %% 界面排序
    icon = 0,                        %% 图标id
    desc = <<>>,                     %% 描述
    name = <<>>                      %% 名称
}).

%% 初始默认舞姿
-define(DEFAULT_DANCE, 1).


-define(SQL_DANCE_SELECT, <<"select is_rand, dance_id, dance_list from dance where role_id = ~p">>).
-define(SQL_DANCE_UPDATE, <<"replace into dance (role_id, is_rand, dance_id, dance_list) values (~p,~p,~p,'~ts')">>).